Update dataset
## Authentication
- API key: `Authorization: Bearer `
Request body example:
```json
{
"name": "Support Conversations - July (v2)",
"description": "Renamed"
}
```
Response (200 OK):
```json
{
"id": "6d0b2c7e-3a6a-4c09-9c7e-1f2d9e2d3f0a",
"name": "Support Conversations - July (v2)",
"type": "sampling",
"description": "Renamed",
"created_at": "2025-07-26T00:00:00Z",
"updated_at": "2025-07-27T08:10:00Z",
"organization": 123,
"initial_log_filters": { "status_code": { "operator": "eq", "value": 200 } },
"unique_organization_ids": [],
"timestamps": [],
"log_count": 250,
"evaluator": null,
"status": "ready",
"running_status": "pending",
"running_progress": 0,
"running_at": null,
"completed_annotation_count": 0
}
```
Errors:
- 400 Bad Request — Invalid payload
- 401 Unauthorized — Missing/invalid authentication
- 404 Not Found — Dataset not found or not in your organization
Authentication
AuthorizationBearer
API key authentication. Get your API key from https://platform.respan.ai/platform/api-keys
Path parameters
dataset_id
Dataset Id
Request
This endpoint expects an object.
Response
Successful response for Update dataset
name
description
Errors
401
Unauthorized Error